CC = cl
CFLAGS = /AL /Gx- /Gt /DMSDOS /Dmain=globmain /DINT_IS_SHORT

nkf.exe : nkf.obj utf8out.obj utf8in.obj main.obj
	$(CC) $(CFLAGS) nkf.obj utf8out.obj utf8in.obj main.obj
	copy nkf.exe DOS\nkf.exe

nkf.obj : nkf.c utf8tbl.h config.h
	$(CC) $(CFLAGS) /c nkf.c

utf8out.obj : utf8out.c config.h
	$(CC) $(CFLAGS) /c utf8out.c

utf8in.obj : utf8in.c config.h
	$(CC) $(CFLAGS) /c utf8in.c

main.obj : main.c
	$(CC) $(CFLAGS) /c main.c

clean:
	-del nkf.obj
	-del utf8out.obj
	-del utf8in.obj
	-del main.obj
	-del nkf.exe
