CC = cl
CFLAGS = /AL /Gx- /Gt /Gy /DMSDOS /Dmain=globmain /DINT_IS_SHORT -DDEFAULT_NEWLINE=0x0D0A

nkf.exe : nkf.obj utf8out.obj utf8in.obj utf8.obj main.obj
	$(CC) $(CFLAGS) nkf.obj utf8out.obj utf8in.obj utf8.obj main.obj

nkf.obj : nkf.c utf8tbl.h config.h
	$(CC) $(CFLAGS) /c nkf.c

utf8out.obj : utf8out.c config.h
	$(CC) $(CFLAGS) /c utf8out.c

utf8in.obj : utf8in.c config.h
	$(CC) $(CFLAGS) /c utf8in.c

utf8.obj : utf8.c config.h
	$(CC) $(CFLAGS) /c utf8.c

main.obj : main.c
	$(CC) $(CFLAGS) /c main.c

clean:
	-del nkf.obj
	-del utf8out.obj
	-del utf8in.obj
	-del utf8.obj
	-del main.obj
	-del nkf.exe
