CC = bcc32
LD = ilink32
RC = brcc32
CFLAGS = -O2 -w-8064 -w-8065 -DMSDOS -DWIN32
LDFLAGS = /Gn
RCFLAGS = -r
LIBS = cw32mt.lib import32.lib
#edit LIB
LIB = E:\borland\bcc55\Lib

all: nkf.exe nkf32.dll nkfdll.exe dbg.exe nkfwin.exe

nkf.exe : nkf.obj utf8tbl.obj version.res
#	$(CC) $(CFLAGS) -DCHECK_OPTION nkf.c utf8tbl.obj version.res $(LIB)\wildargs.obj
	$(LD) $(LDFLAGS) /ap /Tpe c0x32.obj nkf.obj utf8tbl.obj $(LIB)\wildargs.obj, nkf.exe, , $(LIBS), , version.res
	copy nkf.exe WIN\nkf.exe

#nkf.exe : nkf.c config.h utf8tbl.obj
#	$(CC) $(CFLAGS) -DCHECK_OPTION -Dmain=globmain nkf.c utf8tbl.obj main.obj $(LIB)\wildargs.obj

nkfwin.exe : nkfwin.obj config.h utf8tbl.obj nkf.c version.res $(LIB)\wildargs.obj
#	$(CC) $(CFLAGS) -W nkfwin.c utf8tbl.obj version.res $(LIB)\wildargs.obj
	$(LD) $(LDFLAGS) /aa /Tpe c0w32.obj nkfwin.obj utf8tbl.obj $(LIB)\wildargs.obj, nkfwin.exe, , $(LIBS), , version.res
	copy nkfwin.exe WIN\nkfwin.exe

nkf32.dll: nkf32.obj utf8tbl.obj dll.res
	$(LD) $(LDFLAGS) /Tpd /Gl c0d32.obj nkf32.obj utf8tbl.obj, nkf32.dll, , $(LIBS), dll.def, dll.res
	implib nkf32.lib nkf32.dll
	copy nkf32.dll NT\nkf32.dll
	copy nkf32.lib nkf32b.lib
	copy nkf32b.lib NT\nkf32b.lib

nkf32.obj: nkf32.c nkf.c nkf32dll.c config.h nkf.h
	$(CC) $(CFLAGS) -tWD -DWIN32DLL -DTOMIME -DGETKANJICODE -DFILECONVERT1 -DFILECONVERT2 -DUNICODESUPPORT /c nkf32.c

nkfdll.exe : nkfdll.obj
	$(CC) $(CFLAGS) nkfdll.obj nkf32b.lib

dbg.exe : dbg.c nkf.c nkf32dll.c config.h nkf.h utf8tbl.obj
	$(CC) $(CFLAGS) -DDLLDBG -DWIN32DLL -DTOMIME -DGETKANJICODE -DFILECONVERT1 -DFILECONVERT2 -DUNICODESUPPORT dbg.c utf8tbl.obj

nkf.obj : nkf.c config.h
	$(CC) $(CFLAGS) -c -DCHECK_OPTION nkf.c

nkfwin.obj : nkfwin.c nkf.c config.h
	$(CC) $(CFLAGS) -W -c -DCHECK_OPTION nkfwin.c

utf8tbl.obj : utf8tbl.c config.h
	$(CC) $(CFLAGS) -c utf8tbl.c

nkfdll.obj : nkfdll.c nkf.h
	$(CC) $(CFLAGS) -c nkfdll.c

version.res: version.rc
    $(RC) $(RCFLAGS) version.rc

dll.res: dll.rc
    $(RC) $(RCFLAGS) dll.rc

#main.obj : main.c
#	$(CC) $(CFLAGS) -DWIN32 -c main.c

clean:
	-del nkf.obj
	-del nkfwin.obj
	-del nkf32.obj
	-del utf8tbl.obj
	-del nkfdll.obj
	-del dbg.obj
	-del version.res
	-del dll.res
	-del nkf.exe
	-del nkfwin.exe
	-del nkf32.dll
	-del nkf32.lib
	-del nkf32b.lib
	-del nkfdll.exe
	-del dbg.exe
